.d-grid,
.d-flex {
  list-style: none;
  margin: 0;
  padding: 0;
}

.badge {
  font-weight: normal;
}

.alert {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem;
  gap: 1rem;
}

.alert i {
  flex-grow: 0;
  flex-shrink: 0;
}

.alert .message {
  flex-grow: 1;
  flex-shrink: 1;
}

.alert-dismissible .btn-close {
  position: static;
  padding: 0;
  flex: 0 0 1rem;
}

.card {
  --mdb-card-spacer-x: 1rem;
  --mdb-card-spacer-y: 1rem;
}

.card .card-body {
  position: relative;
  display: flex;
  flex-direction: column;
}

.card .card-toolbar {
  position: absolute;
  top: 0.375rem;
  right: 1rem;
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.card .card-toolbar > * {
  --mdb-btn-icon-width: auto;
  --mdb-btn-icon-line-height: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 1.75rem;
  height: 1.75rem;
  line-height: 1;
}

.card .card-details {
  display: grid;
  gap: 0.5rem;
}

.card .detail-label {
  display: block;
  font-weight: 700;
}

a.card:hover,
a.card:active {
  --mdb-card-box-shadow: 0 2px 15px -3px rgba(var(--mdb-box-shadow-color-rgb), 0.21), 0 10px 20px -2px rgba(var(--mdb-box-shadow-color-rgb), 0.12);
}

.form-outline {
  /*--mdb-form-outline-select-notch-border-color: transparent;*/
  margin-bottom: 1.5rem;
  transition: all .2s linear;
}

.form-outline:has(.form-control-sm) {
  margin-bottom: 1rem;
}

.form-outline:has(.invalid-feedback:not(:empty)) {
  margin-bottom: 2.5rem;
}

.form-outline .form-control {
  border: none;
}

.form-outline .form-control:focus~.form-label,
.form-outline .form-control.active~.form-label {
  transform: translateY(-1rem) scale(0.8);
}

.form-outline .form-control:invalid~.form-label,
.form-outline .form-control.is-invalid~.form-label {

}

.form-outline .form-control:valid.select-input.focused~.form-label,
.form-outline .form-control:valid.select-input:focus~.form-label,
.form-outline .form-control.is-valid.select-input.focused~.form-label,
.form-outline .form-control.is-valid.select-input:focus~.form-label {
  color: #14a44d;
}

.form-outline .form-control:invalid.select-input.focused~.form-label,
.form-outline .form-control:invalid.select-input:focus~.form-label,
.form-outline .form-control.is-invalid.select-input.focused~.form-label,
.form-outline .form-control.is-invalid.select-input:focus~.form-label {
  color: #dc4c64;
}

.form-outline .form-control:valid.select-input.focused~.form-notch .form-notch-leading,
.form-outline .form-control:valid.select-input:focus~.form-notch .form-notch-leading,
.form-outline .form-control.is-valid.select-input.focused~.form-notch .form-notch-leading,
.form-outline .form-control.is-valid.select-input:focus~.form-notch .form-notch-leading {
  border-color: #14a44d;
  box-shadow: -1px 0 0 0 #14a44d, 0 1px 0 0 #14a44d, 0 -1px 0 0 #14a44d;
}

.form-outline .form-control:valid.select-input.focused~.form-notch .form-notch-trailing,
.form-outline .form-control:valid.select-input:focus~.form-notch .form-notch-trailing,
.form-outline .form-control.is-valid.select-input.focused~.form-notch .form-notch-trailing,
.form-outline .form-control.is-valid.select-input:focus~.form-notch .form-notch-trailing {
  border-color: #14a44d;
  box-shadow: 1px 0 0 0 #14a44d, 0 -1px 0 0 #14a44d, 0 1px 0 0 #14a44d;
}

.form-outline .form-control:invalid.select-input.focused~.form-notch .form-notch-leading,
.form-outline .form-control:invalid.select-input:focus~.form-notch .form-notch-leading,
.form-outline .form-control.is-invalid.select-input.focused~.form-notch .form-notch-leading,
.form-outline .form-control.is-invalid.select-input:focus~.form-notch .form-notch-leading {
  border-color: #dc4c64;
  box-shadow: -1px 0 0 0 #dc4c64, 0 1px 0 0 #dc4c64, 0 -1px 0 0 #dc4c64;
}

.form-outline .form-control:invalid.select-input.focused~.form-notch .form-notch-trailing,
.form-outline .form-control:invalid.select-input:focus~.form-notch .form-notch-trailing,
.form-outline .form-control.is-invalid.select-input.focused~.form-notch .form-notch-trailing,
.form-outline .form-control.is-invalid.select-input:focus~.form-notch .form-notch-trailing {
  border-color: #dc4c64;
  box-shadow: 1px 0 0 0 #dc4c64, 0 -1px 0 0 #dc4c64, 0 1px 0 0 #dc4c64;
}

.form-check-list {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 1.5rem;
}

.form-check-list:has(.invalid-feedback:not(:empty)) {
  margin-bottom: 2.5rem;
}

.form-check-list .form-check-input~ .form-check-label {
  padding-left: .75em;
}

.form-check-list .form-check-input~.form-check-label {
  margin-bottom: .5rem;
}

.form-check-list .form-check-input.is-invalid~.form-check-label {
  margin-bottom: .5rem;
}

.form-check-list .form-check-input.is-valid~.form-check-label {
  margin-bottom: .5rem;
}

.invalid-feedback {
  font-size: 0.75rem;
}

.form-check-list .invalid-feedback:not(:empty) {
  display: block;
  bottom: -1.25rem;
}

.list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
  list-style: none;
  margin: 0;
  padding: 0;
}

.list .list-item .card {
  height: 100%;
}

.list .list-item .card-details {
  margin-top: auto;
}

.list-filter {
  margin-bottom: 1rem;
}

.list-filter form {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
}

@media screen and (min-width: 640px) {
  .list-filter form {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (min-width: 1024px) {
  .list-filter form {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (min-width: 1600px) {
  .list-filter form {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

.list-filter form .toolbar {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

@media screen and (min-width: 640px) {
  .list-filter form .toolbar {
    grid-column: 2;
  }
}

@media screen and (min-width: 1024px) {
  .list-filter form .toolbar {
    grid-column: 3;
  }
}

@media screen and (min-width: 1600px) {
  .list-filter form .toolbar {
    grid-column: 4;
  }
}

.list-filter .form-outline {
  margin: 0;
}

.list-summary {
  margin-top: 1rem;
  text-align: center;
  line-height: 1;
}

.ajax-list:after {
  content: '';
  display: block;
  grid-column: 1/-1;
  width: 100%;
  height: 0;
  margin-top: 0;
  background-image: url('loader.gif');
  background-repeat: no-repeat;
  background-position: center;
  background-size: auto 100%;
  transition: all .3s linear;
}

.ajax-list.loading:after {
  height: 2rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.ajax-list .list-item {
  opacity: 1;
  transition: opacity .5s linear;
}

.ajax-list .list-item.loaded {
  opacity: 0;
}

.accordion .accordion-button {
  gap: 0.5rem;
}

.accordion-button:not(.collapsed) {
  color: var(--mdb-accordion-btn-color);
}

.accordion-button:not(.collapsed):after {
  background-image: var(--mdb-accordion-btn-icon);
}

.accordion .accordion-body {
  --mdb-accordion-body-padding-x: 1rem;
}
